## google-aiyprojects-raspbian.zip

=== docs/requirements.txt ===
# Python packages required to build the docs
sphinx
sphinx_rtd_theme
recommonmark
Pillow

=== drivers/aiy/Makefile ===
MDIR := aiy

KVER ?= $(shell uname -r)
KDIR ?= /lib/modules/$(KVER)/build

export CONFIG_AIY_IO_I2C = m
export CONFIG_GPIO_AIY_IO = m
export CONFIG_PWM_AIY_IO = m
export CONFIG_AIY_ADC = m
export CONFIG_AIY_VISION = m

ifneq ($(KERNELRELEASE),)

ifeq ($(CONFIG_AIY_IO_I2C), m)
KBUILD_CFLAGS += -DCONFIG_AIY_IO_I2C
endif
ifeq ($(CONFIG_GPIO_AIY_IO), m)
KBUILD_CFLAGS += -DCONFIG_GPIO_AIY_IO
endif
ifeq ($(CONFIG_PWN_AIY_IO), m)
KBUILD_CFLAGS += -DCONFIG_PWM_AIY_IO
endif
ifeq ($(CONFIG_AIY_ADC), m)
KBUILD_CFLAGS += -DCONFIG_AIY_ADC
endif
ifeq ($(CONFIG_AIY_VISION), m)
KBUILD_CFLAGS += -DCONFIG_AIY_VISION
endif



obj-y := $(MDIR)/

else

all: modules

modules:
	$(MAKE) -C $(KDIR) M="$(CURDIR)" modules

install: modules
	$(MAKE) INSTALL_MOD_PATH=$(DESTDIR) INSTALL_MOD_DIR=$(MDIR) \
		-C $(KDIR) M="$(CURDIR)" modules_install

clean:
	$(MAKE) -C $(KDIR) M="$(CURDIR)" clean

help:
	$(MAKE) -C $(KDIR) M="$(CURDIR)" help

endif

=== drivers/leds/Makefile ===
obj-m := leds-ktd202x.o
KVERSION := $(shell uname -r)

all:
	        $(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) modules

clean:
	        $(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) clean

=== drivers/pwm/Makefile ===
obj-m := pwm-soft.o
KVERSION := $(shell uname -r)

all:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) modules

clean:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) clean

=== drivers/sound/Makefile ===
obj-m := snd-aiy-voicebonnet.o rt5645.o rl6231.o
KVERSION := $(shell uname -r)

all:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) modules

clean:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) clean

=== drivers/vision/Makefile ===
obj-m := aiy-vision.o
ccflags-y := -std=gnu99 -Wno-declaration-after-statement
KVERSION := $(shell uname -r)

all:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) modules

clean:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) clean

=== drivers/aiy/aiy/Makefile ===
KBUILD_CFLAGS += -I$(src)/include

obj-y	+= mfd/
obj-y	+= gpio/
obj-y	+= pwm/
obj-y	+= iio/

=== src/tests/images/Makefile ===
# Open Images Dataset V4
all: cat.jpg dog.jpg hotdog.jpg faces.jpg sparrow.jpg bee.jpg lily.jpg

define download_image
	$(eval $1_TMP := $(shell mktemp /tmp/$1.XXXXXX))
	wget -O $($1_TMP) $2
	echo $3 $($1_TMP) | md5sum --check -
	mv $($1_TMP) $1
endef

# License: https://creativecommons.org/licenses/by/2.0/
# URL: https://storage.googleapis.com/openimages/web/visualizer/index.html?set=train&c=%2Fm%2F01yrx&id=818c36d0b603e096
cat.jpg:
	$(call download_image,$@,"https://farm7.staticflickr.com/3712/11270364836_8d1182be97_o.jpg","f08083ddb111a9d5bd6e00d7c04aa97f")

# License: https://creativecommons.org/licenses/by/2.0/
# URL: https://storage.googleapis.com/openimages/web/visualizer/index.html?set=train&c=%2Fm%2F0bt9lr&id=b2e6af69191eb3bf
dog.jpg:
	$(call download_image,$@,"https://c8.staticflickr.com/8/7580/15865399370_3857b60669_o.jpg","416afbfd4bd09758955cdffa2e62a58e")

# License: https://creativecommons.org/licenses/by/2.0/
# URL: https://storage.googleapis.com/openimages/web/visualizer/index.html?set=train&c=%2Fm%2F01b9xk&id=4d7133d6aabede44
hotdog.jpg:
	$(call download_image,$@,"https://farm5.staticflickr.com/7284/16301478750_b036c617cb_o.jpg","cc466191c0844c8da25bbbf63b66bd15")

# License: https://creativecommons.org/licenses/by/2.0/
# URL: https://storage.googleapis.com/openimages/web/visualizer/index.html?set=train&c=%2Fm%2F0dzct&id=769bb77259bd85d2
faces.jpg:
	$(call download_image,$@,"https://farm3.staticflickr.com/4109/5031905069_cd67b182e3_o.jpg","e23cef02664a28c9c8523a7889b6ff9b")

# License: https://creativecommons.org/licenses/by/2.0/
# https://storage.googleapis.com/openimages/web/visualizer/index.html?set=train&c=%2Fm%2F0h23m&id=d7b9e42392fc7998
sparrow.jpg:
	$(call download_image,$@,"https://c1.staticflickr.com/1/542/19730052293_4e9bede5d0_o.jpg","3c0a157b55daaf87dbab7145072226f0")

# License: https://creativecommons.org/licenses/by/2.0/
# https://storage.googleapis.com/openimages/web/visualizer/index.html?set=train&c=%2Fm%2F01h3n&id=618074321d59d0d8
bee.jpg:
	$(call download_image,$@,"https://c1.staticflickr.com/3/2911/13993945720_95a938e5cf_o.jpg","13b855c8f32727929393ed0eb2a89525")

# License: https://creativecommons.org/licenses/by/2.0/
# https://storage.googleapis.com/openimages/web/visualizer/index.html?set=train&c=%2Fm%2F0jqgx&id=7bf5c5c8b0f4f293
lily.jpg:
	$(call download_image,$@,"https://farm4.staticflickr.com/4110/5099896296_2e2617a0a8_o.jpg","b3b94395f631f2f5ded9299bc46c39a4")

clean:
	rm -f *.jpg

=== drivers/aiy/aiy/gpio/Makefile ===
obj-$(CONFIG_GPIO_AIY_IO) := gpio-aiy-io.o
ccflags-y := -std=gnu99 -Wno-declaration-after-statement
KVERSION := $(shell uname -r)

all:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) modules

clean:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) clean

=== drivers/aiy/aiy/iio/Makefile ===
KBUILD_CFLAGS += -I$(src)/include

obj-y	+= adc/

=== drivers/aiy/aiy/mfd/Makefile ===
obj-$(CONFIG_AIY_IO_I2C) := aiy-io-i2c.o
ccflags-y := -std=gnu99 -Wno-declaration-after-statement
KVERSION := $(shell uname -r)

all:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) modules

clean:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) clean

=== drivers/aiy/aiy/pwm/Makefile ===
obj-$(CONFIG_PWM_AIY_IO) := pwm-aiy-io.o
ccflags-y := -std=gnu99 -Wno-declaration-after-statement
KVERSION := $(shell uname -r)

all:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) modules

clean:
	$(MAKE) -C /lib/modules/$(KVERSION)/build M=$(PWD) clean

=== drivers/aiy/debian/changelog ===
aiy-dkms (2.0-1) stable; urgency=medium

  * Update drivers to support 4.19 kernel.

 -- Dmitry Kovalev <dkovalev@google.com>  Wed, 06 Nov 2019 16:36:24 -0800

aiy-dkms (1.1-2) stable; urgency=medium

  * Proper debian package based on dh_dkms.

 -- Dmitry Kovalev <dkovalev@google.com>  Thu, 30 Aug 2018 15:28:07 -0700

=== drivers/leds/debian/changelog ===
leds-ktd202x-dkms (1.2-1) stable; urgency=medium

  * Fix swapped tfall and trise register names.

 -- Dmitry Kovalev <dkovalev@google.com>  Wed, 09 Jan 2019 11:50:40 -0800

leds-ktd202x-dkms (1.1-2) stable; urgency=medium

  * Proper debian package based on dh_dkms.

 -- Dmitry Kovalev <dkovalev@google.com>  Thu, 30 Aug 2018 15:28:07 -0700

=== drivers/overlays/vision/debian/changelog ===
aiy-overlay-vision (1.0-1) stable; urgency=medium

  * Update debian package.

 -- Dmitry Kovalev <dkovalev@google.com>  Wed, 14 Nov 2018 13:56:08 -0800

aiy-overlay-vision (1.0-0) stable; urgency=medium

  * Initial release.

 -- Dmitry Kovalev <dkovalev@google.com>  Mon, 04 Jun 2018 21:03:54 -0700

=== drivers/overlays/voice/debian/changelog ===
aiy-overlay-voice (1.0-1) stable; urgency=medium

  * Update debian package.

 -- Dmitry Kovalev <dkovalev@google.com>  Wed, 14 Nov 2018 13:56:08 -0800

aiy-overlay-voice (1.0-0) stable; urgency=medium

  * Initial release.

 -- Dmitry Kovalev <dkovalev@google.com>  Mon, 04 Jun 2018 21:03:54 -0700

=== drivers/pwm/debian/changelog ===
pwm-soft-dkms (2.0-1) stable; urgency=medium

  * Update driver to support 4.19 kernel.

 -- Dmitry Kovalev <dkovalev@google.com>  Wed, 06 Nov 2019 16:36:24 -0800

pwm-soft-dkms (1.1-2) stable; urgency=medium

  * Proper debian package based on dh_dkms.

 -- Dmitry Kovalev <dkovalev@google.com>  Thu, 30 Aug 2018 15:28:07 -0700

=== drivers/sound/debian/changelog ===
aiy-voicebonnet-soundcard-dkms (3.0-1) stable; urgency=medium

  * Update driver to support 5.4 kernel.

 -- Dmitry Kovalev <dkovalev@google.com>  Mon, 16 Nov 2020 01:36:00 -0800

aiy-voicebonnet-soundcard-dkms (2.0-1) stable; urgency=medium

  * Update driver to support 4.19 kernel.

 -- Dmitry Kovalev <dkovalev@google.com>  Wed, 06 Nov 2019 16:36:24 -0800

aiy-voicebonnet-soundcard-dkms (1.0-2) stable; urgency=medium

  * Proper debian package based on dh_dkms.

 -- Dmitry Kovalev <dkovalev@google.com>  Thu, 30 Aug 2018 15:28:07 -0700

=== drivers/vision/debian/changelog ===
aiy-vision-dkms (1.2-1) stable; urgency=medium

  * Proper order of cleanup calls in visionbonnet_destroy().

 -- Dmitry Kovalev <dkovalev@google.com>  Mon, 16 Nov 2020 01:36:00 -0800

aiy-vision-dkms (1.1-1) stable; urgency=medium

  * Proper debian package based on dh_dkms.

 -- Dmitry Kovalev <dkovalev@google.com>  Thu, 30 Aug 2018 15:28:07 -0700

=== drivers/aiy/debian/control ===
Source: aiy-dkms
Section: misc
Priority: optional
Maintainer: AIY Projects <support-aiyprojects@google.com>
Build-Depends: debhelper (>= 10), dkms
Standards-Version: 3.8.1

Package: aiy-dkms
Architecture: all
Depends: raspberrypi-kernel-headers, dkms (>= 1.95), ${misc:Depends}
Description: Hardware device drivers for AIY Projects Kits.

=== drivers/leds/debian/control ===
Source: leds-ktd202x-dkms
Section: misc
Priority: optional
Maintainer: AIY Projects <support-aiyprojects@google.com>
Build-Depends: debhelper (>= 10), dkms
Standards-Version: 3.8.1

Package: leds-ktd202x-dkms
Architecture: all
Depends: raspberrypi-kernel-headers, dkms (>= 1.95), ${misc:Depends}
Description: KTD2026/KTD2027 drivers for AIY Vision/Voice Bonnet

=== drivers/overlays/vision/debian/control ===
Source: aiy-overlay-vision
Section: misc
Priority: optional
Maintainer: AIY Projects <support-aiyprojects@google.com>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.8.1

Package: aiy-overlay-vision
Architecture: all
Depends: raspberrypi-kernel, device-tree-compiler (>= 1.4), ${misc:Depends}
Description: Device tree overlay for AIY Vision Bonnet.

=== drivers/overlays/voice/debian/control ===
Source: aiy-overlay-voice
Section: misc
Priority: optional
Maintainer: AIY Projects <support-aiyprojects@google.com>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.8.1

Package: aiy-overlay-voice
Architecture: all
Depends: raspberrypi-kernel, device-tree-compiler (>= 1.4), ${misc:Depends}
Description: Device tree overlay for AIY Voice Bonnet.

=== drivers/pwm/debian/control ===
Source: pwm-soft-dkms
Section: misc
Priority: optional
Maintainer: AIY Projects <support-aiyprojects@google.com>
Build-Depends: debhelper (>= 10), dkms
Standards-Version: 3.8.1

Package: pwm-soft-dkms
Architecture: all
Depends: raspberrypi-kernel-headers, dkms (>= 1.95), ${misc:Depends}
Description: Hardware device drivers for AIY Projects Kits.

=== drivers/sound/debian/control ===
Source: aiy-voicebonnet-soundcard-dkms
Section: misc
Priority: optional
Maintainer: AIY Projects <support-aiyprojects@google.com>
Build-Depends: debhelper (>= 10), dkms
Standards-Version: 3.8.1

Package: aiy-voicebonnet-soundcard-dkms
Architecture: all
Depends: raspberrypi-kernel-headers, dkms (>= 1.95), ${misc:Depends}
Description: AIY Voice DKMS driver.
 Required driver for Voice Bonnet board.

=== drivers/vision/debian/control ===
Source: aiy-vision-dkms
Section: misc
Priority: optional
Maintainer: AIY Projects <support-aiyprojects@google.com>
Build-Depends: debhelper (>= 10), dkms
Standards-Version: 3.8.1

Package: aiy-vision-dkms
Architecture: all
Depends: raspberrypi-kernel-headers, aiy-dkms, aiy-vision-firmware, dkms (>= 1.95), ${misc:Depends}
Description: AIY Vision DKMS driver.
 Required driver for Vision Bonnet board.

=== drivers/aiy/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

VERSION=$(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1)

%:
	dh $@ --with dkms

override_dh_install:
	dh_install aiy Makefile usr/src/aiy-$(VERSION)/

override_dh_dkms:
	dh_dkms -V $(VERSION)

override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_install:

=== drivers/leds/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

VERSION=$(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1)

%:
	dh $@ --with dkms

override_dh_install:
	dh_install *.c Makefile usr/src/leds-ktd202x-$(VERSION)/

override_dh_dkms:
	dh_dkms -V $(VERSION)

override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_install:

=== drivers/pwm/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

VERSION=$(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1)

%:
	dh $@ --with dkms

override_dh_install:
	dh_install *.c Makefile usr/src/pwm-soft-$(VERSION)/

override_dh_dkms:
	dh_dkms -V $(VERSION)

override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_install:

=== drivers/sound/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

VERSION=$(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1)

%:
	dh $@ --with dkms

override_dh_install:
	dh_install *.h *.c Makefile usr/src/aiy-voicebonnet-soundcard-$(VERSION)/

override_dh_dkms:
	dh_dkms -V $(VERSION)

override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_install:

=== drivers/vision/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

VERSION=$(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1)

%:
	dh $@ --with dkms

override_dh_install:
	dh_install *.c *.h Makefile usr/src/aiy-vision-$(VERSION)/

override_dh_dkms:
	dh_dkms -V $(VERSION)

override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_install:
